#if !defined(AFX_MNEWPLAYERCTL_H__713F4DC1_F541_4BCA_BA4E_20CC73244FD1__INCLUDED_)
#define AFX_MNEWPLAYERCTL_H__713F4DC1_F541_4BCA_BA4E_20CC73244FD1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "FastPlayerDoc.h"


// MNewPlayerCtl.h : Declaration of the CMNewPlayerCtrl ActiveX Control class.

/////////////////////////////////////////////////////////////////////////////
// CMNewPlayerCtrl : See MNewPlayerCtl.cpp for implementation.

class CMNewPlayerCtrl : public COleControl
{
	DECLARE_DYNCREATE(CMNewPlayerCtrl)

// Constructor
public:
	CMNewPlayerCtrl();
	void Stop();

	int m_cxClient, m_cyClient;
	CPictureHolder    m_pic;
	int FlagDraw;
	CFastPlayerDoc pDoc;
	long v_size_x, v_size_y;
	long new_v_size_x, new_v_size_y;
	HWND hVideo;
	HWND hPlay;
	HWND hPause;
	HWND hStop;
	HWND hText;
	HWND hScroll;

	
	char ExtMovieName[2048];
	BOOL m_bProgressMovement;

	
	int FirstTime;
	#define X_BUTTON 200
	#define Y_BUTTON 150
	
	#define DIMX_PLAY 67
	#define DIMY_PLAY 20
	#define DIMX_TEXT 201
	#define DIMY_TEXT 15
	#define DIMY_TRACK 15

	long ClientLeft, ClientTop;

	char MovieFileName[2048];
	HANDLE MyHThread;

	RECT MyRC;

private:
	void ResizePlayWindow();
	void CreateMyWindows();

	//CStatic	m_player;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMNewPlayerCtrl)
	public:
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
	virtual void DoPropExchange(CPropExchange* pPX);
	virtual void OnResetState();
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	~CMNewPlayerCtrl();

	DECLARE_OLECREATE_EX(CMNewPlayerCtrl)    // Class factory and guid
	DECLARE_OLETYPELIB(CMNewPlayerCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CMNewPlayerCtrl)     // Property page IDs
	DECLARE_OLECTLTYPE(CMNewPlayerCtrl)		// Type name and misc status

// Message maps
	//{{AFX_MSG(CMNewPlayerCtrl)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Dispatch maps
	//{{AFX_DISPATCH(CMNewPlayerCtrl)
	afx_msg void StartMovie(LPCTSTR MovieName);
	afx_msg void StopMovie();
	afx_msg void UnloadProgram();
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

	afx_msg void AboutBox();

// Event maps
	//{{AFX_EVENT(CMNewPlayerCtrl)
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

// Dispatch and event IDs
public:
	enum {
	//{{AFX_DISP_ID(CMNewPlayerCtrl)
	dispidStartMovie = 1L,
	dispidStopMovie = 2L,
	dispidUnloadProgram = 3L,
	//}}AFX_DISP_ID
	};
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MNEWPLAYERCTL_H__713F4DC1_F541_4BCA_BA4E_20CC73244FD1__INCLUDED)
